Skip to main content
GET
/
managers
/
{id}
/
reports
Get manager's reports
curl --request GET \
  --url 'https://www.thereviewport.com/api/managers/{id}/reports?apiKey='
{
  "meta": {
    "page": 123,
    "pageSize": 123,
    "total": 123,
    "totalPages": 123,
    "hasNextPage": true
  },
  "manager": {
    "guid": "<string>",
    "name": "<string>"
  },
  "results": [
    {
      "guid": "<string>",
      "title": "<string>",
      "summary": "<string>",
      "publishedDate": "2023-11-07T05:31:56Z",
      "region": "<string>",
      "issueType": "<string>",
      "issueVersion": "<string>",
      "isFeatured": true,
      "images": {
        "header": "<string>",
        "thumbnail": "<string>"
      },
      "manager": {
        "guid": "<string>",
        "name": "<string>",
        "logo": "<string>"
      },
      "issuer": {
        "guid": "<string>",
        "name": "<string>",
        "logo": "<string>"
      },
      "tags": [
        {
          "id": "<string>",
          "label": "<string>",
          "slug": "<string>"
        }
      ],
      "links": {
        "self": "<string>",
        "web": "<string>",
        "embed": "<string>"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://reviewport.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
query
required

API key passed as query parameter

Path Parameters

id
string
required

Manager GUID or ObjectId

Query Parameters

page
integer
default:1

Page number (1-indexed)

Required range: x >= 1
pageSize
integer
default:20

Number of items per page

Required range: 1 <= x <= 100

Response

Successful response

meta
object
manager
object
results
object[]